﻿namespace RtfReport.Data
{
    public sealed class DocumentPricePositionReportData : DocumentPositionReportDataBase
    {
        public DocumentPricePositionReportData(int number, string rtfText, decimal price, decimal quantity)
            : base(number, rtfText)
        {
            this.Price = price;
            this.Quantity = quantity;
        }

        public decimal Price { get; set; }
        public decimal Quantity { get; set; }

        public decimal Total
        {
            get
            {
                return this.Price * this.Quantity;
            }
        }
    }
}
