﻿using System;

namespace RtfReport.Data
{
    public sealed class DocumentPositionReportData
    {
        public DocumentPositionReportData(DocumentTitlePositionReportData title)
        {
            this.Id = Guid.NewGuid();
            this.TitlePosition = title;
        }

        public DocumentPositionReportData(DocumentPricePositionReportData price)
        {
            this.Id = Guid.NewGuid();
            this.PricePosition = price;
        }

        public DocumentPositionReportData(DocumentTextPositionReportData text)
        {
            this.Id = Guid.NewGuid();
            this.TextPosition = text;
        }

        public Guid Id { get; }

        public DocumentTitlePositionReportData TitlePosition { get; }

        public DocumentPricePositionReportData PricePosition { get; }

        public DocumentTextPositionReportData TextPosition { get; }
    }
}
