﻿using System;
using System.Collections.Generic;

namespace RtfReport.Data
{
    public class DocumentReportData
    {
        public DocumentReportData(string docNumber, string docName)
        {
            this.Id = Guid.NewGuid();
            this.DocumentNumber = docNumber;
            this.DocumentName = docName;
            this.Items = new List<DocumentPositionReportData>();
        }

        public Guid Id { get; set; }

        public string DocumentNumber { get; set; }

        public string DocumentName { get; set; }

        public List<DocumentPositionReportData> Items { get; set; }
    }
}
