using System.Collections.Generic;
using RtfReport.Data;

namespace RtfReport.Reports
{
    /// <summary>
    /// Summary description for DocumentTitlePositionSubReport.
    /// </summary>
    public partial class DocumentTitlePositionSubReport : GrapeCity.ActiveReports.SectionReport
    {
        private DocumentTitlePositionReportData title;

        public DocumentTitlePositionSubReport()
        {
            this.InitializeComponent();
        }

        public DocumentTitlePositionSubReport(DocumentTitlePositionReportData data)
            : this()
        {
            this.title = data;
            this.DataSource = new List<DocumentTitlePositionReportData> { data };
        }

        private void FormatDetail(object sender, System.EventArgs e)
        {
            this.subReport.Report = new DocumentDetailSubReport(this.title.Items);
        }
    }
}
